.custom-dropdown-container {
  width: 100%;
  position: relative;
  button {
     display: inline-block;
     margin-bottom: 0;
     font-weight: 400;
     line-height: 1.42857143;
     vertical-align: middle;
     touch-action: manipulation;
     cursor: pointer;
     user-select: none;
     border: 1px solid #ccc;
     border-radius: 4px;
     color: #333;
     background-color: #fff;
     white-space: nowrap;
     overflow-x: hidden;
     text-overflow: ellipsis;
     span {
        vertical-align: middle;
        float: left;
      }
     .nsdicon-angle-down {
        position: relative;
        font-size: large;
        float: right;
     }
  }
  .custom-dropdown-button {
     width: 100%;
     min-height: 30px;
     padding: 5px 10px 5px 10px;
     background-color: white;

     span {
        &.btn-icon {
         color: #e1192c;
         margin-right: 10px;
        }
     }
  }
  .custom-dropdown-list-container {
     box-sizing: border-box;
     border: 1px solid rgba(0, 0, 0, 0.15);
     border-radius: 4px;
     padding-left: 10px;
     padding-right: 10px;
     z-index: 999999999;
     width: 100%;
     background-clip: padding-box;
     background: white;
     position: absolute;
     -webkit-box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.21);
     -moz-box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.21);
     box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.21);
     overflow-y: auto;
     .search-container {
        position: relative;
        margin-top: 5px;
        border: 1px solid #e1192c;
        input {
           background-color: transparent;
           border: none;
           border-radius: 0;
           outline: none;
           height: 2rem;
           width: 100%;
           font-size: 13px;
           margin: 0;
           padding: 6px 20px;
           box-shadow: none;
           box-sizing: content-box;
           transition: all 0.3s;
           &:focus {
              
           }
           &:focus+label {
            //   transform: translateY(-2px) scale(0.8);
              transform-origin: 0 0;
           }
        }
        label {
           color: #9e9e9e;
           position: absolute;
           top: 0;
           left: 20px;
           height: 100%;
           font-size: 1rem;
           cursor: text;
           -webkit-transition: -webkit-transform 0.2s ease-out;
           transition: -webkit-transform 0.2s ease-out;
           transition: transform 0.2s ease-out;
           transition: transform 0.2s ease-out, -webkit-transform 0.2s ease-out;
           -webkit-transform-origin: 0% 100%;
           transform-origin: 0% 100%;
           text-align: initial;
           transform: translateY(12px);
           pointer-events: none;
           &.active {
              transform: translateY(-2px) scale(0.8);
              transform-origin: 0 0;
           }
        }
     }
     ul {
        margin-top: 1rem;
        margin-bottom: 1rem;
        list-style-type: none;
        padding-left: 0px;
        &.selected-items {
           li {
              background-color: #337ab7;
              color: white;
              margin-bottom: 2px;
           }
        }
        &.available-items {
           li.active {
              background-color: #337ab7;
              color: #ffff;
           }
        }
        li {
           font-size: inherit;
           cursor: pointer;
           display: block;
           padding: 3px 20px;
           clear: both;
           font-weight: 400;
           line-height: 1.42857143;
           color: #333;
           white-space: normal; // span::before {
           //     vertical-align: middle;
           // }
        }
     }
  }
  .disabled {
     pointer-events: none;
     background-color: #e9ecef;
     opacity: 1;
     cursor: no-drop;
  }
}